import {
  a as t,
  c as s
} from "./chunk-IO47FP3U.js";

// ../node_modules/refractor/lang/nand2tetris-hdl.js
var o = s((r, a) => {
  a.exports = n;
  n.displayName = "nand2tetrisHdl";
  n.aliases = [];
  function n(e) {
    e.languages["nand2tetris-hdl"] = {
      comment: /\/\/.*|\/\*[\s\S]*?(?:\*\/|$)/,
      keyword: /\b(?:BUILTIN|CHIP|CLOCKED|IN|OUT|PARTS)\b/,
      boolean: /\b(?:false|true)\b/,
      function: /\b[A-Za-z][A-Za-z0-9]*(?=\()/,
      number: /\b\d+\b/,
      operator: /=|\.\./,
      punctuation: /[{}[\];(),:]/
    };
  }
  t(n, "nand2tetrisHdl");
});

export {
  o as a
};
